org.apache.poi.hpsf

## Class IllegalVariantTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.poi.hpsf.HPSFException
      - - org.apache.poi.hpsf.VariantTypeException
        - - org.apache.poi.hpsf.IllegalVariantTypeException

- All Implemented Interfaces:
    java.io.Serializable

      public class IllegalVariantTypeException
      extends VariantTypeException

  This exception is thrown if HPSF encounters a variant type that is illegal in the current context.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalVariantTypeException(long variantType, java.lang.Object value)` Constructor
    `IllegalVariantTypeException(long variantType, java.lang.Object value, java.lang.String msg)` Constructor

  - ### Method Summary

    - ### Methods inherited from class org.apache.poi.hpsf.VariantTypeException

      `getValue, getVariantType`

    - ### Methods inherited from class org.apache.poi.hpsf.HPSFException

      `getReason`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalVariantTypeException

          public IllegalVariantTypeException(long variantType,
                                             java.lang.Object value,
                                             java.lang.String msg)

      Constructor

      Parameters:
        `variantType` - The unsupported variant type
        `value` - The value
        `msg` - A message string

    - #### IllegalVariantTypeException

          public IllegalVariantTypeException(long variantType,
                                             java.lang.Object value)

      Constructor

      Parameters:
        `variantType` - The unsupported variant type
        `value` - The value

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.